Package org.opensaml.xmlsec.signature.support

# Interface TransformsConfigurableContentReference

All Superinterfaces:
  `ContentReference`

All Known Implementing Classes:
  `DocumentInternalIDContentReference`, `SAMLObjectContentReference`, `URIContentReference`

public interface TransformsConfigurableContentReference extends ContentReference
A specialization of `ContentReference` which allows signature transforms to be specified. Note: This sub-interface was added in a minor update because we can not add new methods to `ConfigurableContentReference`. In a future major release we could collapse this change into that single interface.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getTransforms()`
Gets the mutable list of transforms applied to the content prior to digest generation.

### Methods inherited from interface org.opensaml.xmlsec.signature.support.ContentReference

`createReference`

## Method Details

### getTransforms

@Nonnull @Live List<String> getTransforms()
Gets the mutable list of transforms applied to the content prior to digest generation.

Returns:
  the transforms applied to the content prior to digest generation